IRremoteESP8266: Mitsubishi144Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
Mitsubishi144Protocol Union Reference

Native representation of a Mitsubishi 144-bit A/C message. More...

`#include <ir_Mitsubishi.h>`

## Public Attributes

uint8_t | raw [kMitsubishiACStateLength]
| The state in code form. More...
struct {
uint8_t pad0 [5]
uint8_t __pad0__:5
uint8_t Power:1
uint8_t __pad1__:2
uint8_t __pad2__:3
uint8_t Mode:3
uint8_t __pad3__:2
uint8_t Temp:4
uint8_t HalfDegree:1
uint8_t __pad4__:3
uint8_t __pad5__:4
uint8_t WideVane:4
uint8_t Fan:3
uint8_t Vane:3
uint8_t VaneBit:1
uint8_t FanAuto:1
uint8_t Clock:8
uint8_t StopClock:8
uint8_t StartClock:8
uint8_t Timer:3
uint8_t WeeklyTimer:1
uint8_t __pad6__:4
uint8_t pad1 [3]
uint8_t Sum:8
}; |

## Detailed Description

Native representation of a Mitsubishi 144-bit A/C message.

## Member Data Documentation

## ◆ @56

struct { ... }

## ◆ __pad0__

uint8_t Mitsubishi144Protocol::__pad0__

## ◆ __pad1__

uint8_t Mitsubishi144Protocol::__pad1__

## ◆ __pad2__

uint8_t Mitsubishi144Protocol::__pad2__

## ◆ __pad3__

uint8_t Mitsubishi144Protocol::__pad3__

## ◆ __pad4__

uint8_t Mitsubishi144Protocol::__pad4__

## ◆ __pad5__

uint8_t Mitsubishi144Protocol::__pad5__

## ◆ __pad6__

uint8_t Mitsubishi144Protocol::__pad6__

## ◆ Clock

uint8_t Mitsubishi144Protocol::Clock

## ◆ Fan

uint8_t Mitsubishi144Protocol::Fan

## ◆ FanAuto

uint8_t Mitsubishi144Protocol::FanAuto

## ◆ HalfDegree

uint8_t Mitsubishi144Protocol::HalfDegree

## ◆ Mode

uint8_t Mitsubishi144Protocol::Mode

## ◆ pad0

uint8_t Mitsubishi144Protocol::pad0[5]

## ◆ pad1

uint8_t Mitsubishi144Protocol::pad1[3]

## ◆ Power

uint8_t Mitsubishi144Protocol::Power

## ◆ raw

uint8_t Mitsubishi144Protocol::raw[kMitsubishiACStateLength]

The state in code form.

## ◆ StartClock

uint8_t Mitsubishi144Protocol::StartClock

## ◆ StopClock

uint8_t Mitsubishi144Protocol::StopClock

## ◆ Sum

uint8_t Mitsubishi144Protocol::Sum

## ◆ Temp

uint8_t Mitsubishi144Protocol::Temp

## ◆ Timer

uint8_t Mitsubishi144Protocol::Timer

## ◆ Vane

uint8_t Mitsubishi144Protocol::Vane

## ◆ VaneBit

uint8_t Mitsubishi144Protocol::VaneBit

## ◆ WeeklyTimer

uint8_t Mitsubishi144Protocol::WeeklyTimer

## ◆ WideVane

uint8_t Mitsubishi144Protocol::WideVane

The documentation for this union was generated from the following file:

- src/ir_Mitsubishi.h